Package org.eclipse.lemminx.settings.capabilities

## Class ClientCapabilitiesWrapper

- java.lang.Object
- - org.eclipse.lemminx.settings.capabilities.ClientCapabilitiesWrapper

    public class ClientCapabilitiesWrapper
    extends Object

Determines if a client supports a specific capability dynamically

### Field Summary

Fields
`org.eclipse.lsp4j.ClientCapabilities` `capabilities`

### Constructor Summary

Constructors
`ClientCapabilitiesWrapper()`
`ClientCapabilitiesWrapper​(org.eclipse.lsp4j.ClientCapabilities capabilities, ExtendedClientCapabilities extendedCapabilities)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExtendedClientCapabilities` `getExtendedCapabilities()`
`org.eclipse.lsp4j.TextDocumentClientCapabilities` `getTextDocument()`
`boolean` `isCodeActionDynamicRegistered()`
`boolean` `isCodeLensDynamicRegistrationSupported()`
`boolean` `isColorDynamicRegistrationSupported()`
`boolean` `isCompletionDynamicRegistrationSupported()` IMPORTANT This should be up to date with all Server supported capabilities
`boolean` `isDefinitionDynamicRegistered()`
`boolean` `isDidChangeWatchedFilesRegistered()`
`boolean` `isDocumentHighlightDynamicRegistered()`
`boolean` `isDocumentSymbolDynamicRegistrationSupported()`
`boolean` `isDocumentSyncDynamicRegistrationSupported()`
`boolean` `isExecuteCommandDynamicRegistrationSupported()`
`boolean` `isFormattingDynamicRegistrationSupported()`
`boolean` `isHoverDynamicRegistered()`
`boolean` `isLinkDynamicRegistrationSupported()`
`boolean` `isLinkedEditingRangeDynamicRegistered()`
`boolean` `isRangeFoldingDynamicRegistrationSupported()`
`boolean` `isRangeFormattingDynamicRegistrationSupported()`
`boolean` `isReferencesDynamicRegistrationSupported()`
`boolean` `isRenameDynamicRegistrationSupported()`
`boolean` `isSelectionRangeDynamicRegistered()`
`boolean` `isTypeDefinitionDynamicRegistered()`
`boolean` `isWorkDoneProgressSupported()`
`boolean` `isWorkspaceFoldersSupported()`
`boolean` `shouldLanguageServerExitOnShutdown()` Returns true if the client should exit on shutdown() request and avoid waiting for an exit() request

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### capabilities

    public org.eclipse.lsp4j.ClientCapabilities capabilities

### Constructor Detail

#### ClientCapabilitiesWrapper

    public ClientCapabilitiesWrapper()

#### ClientCapabilitiesWrapper

    public ClientCapabilitiesWrapper​(org.eclipse.lsp4j.ClientCapabilities capabilities,
                                     ExtendedClientCapabilities extendedCapabilities)

### Method Detail

#### isCompletionDynamicRegistrationSupported

    public boolean isCompletionDynamicRegistrationSupported()

IMPORTANT This should be up to date with all Server supported capabilities

#### isLinkDynamicRegistrationSupported

    public boolean isLinkDynamicRegistrationSupported()

#### isColorDynamicRegistrationSupported

    public boolean isColorDynamicRegistrationSupported()

#### isRangeFoldingDynamicRegistrationSupported

    public boolean isRangeFoldingDynamicRegistrationSupported()

#### isDocumentSyncDynamicRegistrationSupported

    public boolean isDocumentSyncDynamicRegistrationSupported()

#### isFormattingDynamicRegistrationSupported

    public boolean isFormattingDynamicRegistrationSupported()

#### isRangeFormattingDynamicRegistrationSupported

    public boolean isRangeFormattingDynamicRegistrationSupported()

#### isRenameDynamicRegistrationSupported

    public boolean isRenameDynamicRegistrationSupported()

#### isDocumentSymbolDynamicRegistrationSupported

    public boolean isDocumentSymbolDynamicRegistrationSupported()

#### isCodeLensDynamicRegistrationSupported

    public boolean isCodeLensDynamicRegistrationSupported()

#### isDefinitionDynamicRegistered

    public boolean isDefinitionDynamicRegistered()

#### isTypeDefinitionDynamicRegistered

    public boolean isTypeDefinitionDynamicRegistered()

#### isReferencesDynamicRegistrationSupported

    public boolean isReferencesDynamicRegistrationSupported()

#### isCodeActionDynamicRegistered

    public boolean isCodeActionDynamicRegistered()

#### isHoverDynamicRegistered

    public boolean isHoverDynamicRegistered()

#### isDocumentHighlightDynamicRegistered

    public boolean isDocumentHighlightDynamicRegistered()

#### isSelectionRangeDynamicRegistered

    public boolean isSelectionRangeDynamicRegistered()

#### isDidChangeWatchedFilesRegistered

    public boolean isDidChangeWatchedFilesRegistered()

#### isExecuteCommandDynamicRegistrationSupported

    public boolean isExecuteCommandDynamicRegistrationSupported()

#### isLinkedEditingRangeDynamicRegistered

    public boolean isLinkedEditingRangeDynamicRegistered()

#### getTextDocument

    public org.eclipse.lsp4j.TextDocumentClientCapabilities getTextDocument()

#### getExtendedCapabilities

    public ExtendedClientCapabilities getExtendedCapabilities()

#### isWorkspaceFoldersSupported

    public boolean isWorkspaceFoldersSupported()

#### shouldLanguageServerExitOnShutdown

    public boolean shouldLanguageServerExitOnShutdown()

Returns true if the client should exit on shutdown() request and avoid waiting for an exit() request

Returns:
  true if the language server should exit on shutdown() request

#### isWorkDoneProgressSupported

    public boolean isWorkDoneProgressSupported()